(function(angular) {
    'use strict';

    var app = angular.module('admin.lesson.directives', []);

    var empty = '<html><body style="padding:0;margin:0;display:table;height:100%;width:100%">'+
                '<div style="display:table-cell;vertical-align:middle">'+
                '<p style="color:#555;font-size:63px;text-align:center;font-family:monospace;">'+
                'Preview Area</p></div></body></html>';


    app.directive('framepreview', function(){
        return {
            'restrict': 'A',
            'scope': {
                'content': '=cmBind',
            },
            'link': function(scope, element, attrs, ngModel) {
                var iframe = element[0];
                var preview = iframe.contentDocument || iframe.contentWindow.document;

                preview.write(empty);

                scope.$watch('content', function(v1, v2){
                    updatePreview(v1||empty);
                });

                function updatePreview(value) {
                    if(!iframe) return;
                    preview.open();
                    preview.write(value);
                    preview.close();
                }
            }
        };
    });
})(window.angular);
