(function(angular){
    'use strict';

    angular.module('certification', [
        'django',
        'timtec-models',
        'directive.file',
        'directive.previewImage',
        'directive.alertPopup',
        'directive.fixedBar',
        'ui.bootstrap',
        'checklist-model',
        'ui.tinymce',
        'ngRoute',
        'ngResource',
        'ngSanitize',
        'shared',
        'gettext'
    ])
    .config(function($routeProvider, $locationProvider) {
          $routeProvider
        //    .when('/', {
        //         templateUrl: 'course-classes.html',
        //         controller: 'CourseClassesController',
        //    })
          .when('/class-evaluations/:klassId', {
            templateUrl: 'class-evaluations.html',
            controller: 'ClassEvaluationsController'
          });
    })
    .run(['gettextCatalog', function (gettextCatalog) {
        gettextCatalog.setStrings('es', {"Configure template for certificates": "Configurar plantilla de certificado", "Configure template for receipts": "Configurar plantilla de recibo", "Save": "Guardar", "Edit": "Editar", "View": "Ver", "Help": "Ayuda", "Configure Certificate": "Configurar Certificado", "Configure Receipt": "Configurar Recibo", "Certificate": "Certificado", "Receipt": "Recibo", "Course Conclusion": "Finalización del curso", "Person Name": "Nombre de la persona", "Cancel": "Cancelar", "Course Conclusion": "Conclusión del curso",
        "Never forget to Save any changes you make. Before saving it is possible and recommended to preview the changes made.":"Nunca se esqueça de Salvar qualquer alteração que venha fazer. Antes de salvar é possível e recomendável visualizar as alterações feitas.","To delete an image from the template, just double-click it":"Para eliminar una imagen de la plantilla, simplemente haga doble clic en ella",
        "To edit the template text, use the editor below and its features. In the text, you can place the following indicators, which will be replaced according to the description:":"Para editar o texto do template, use o editor abaixo e suas funcionalidades. No texto, você poderá colocar os seguinte indicadores, que serão substituídos de acordo com a descrição:","{CONTRACT}: Contract name":"{CONTRATO}: Nombre del contrato",
        "When you click cancel, you will be returned to the certificate listing page. Always remember to Save any changes you have made and want to keep":"Cuando haga clic en cancelar, volverá a la página de listado de certificados. Recuerde siempre guardar los cambios que haya realizado y desee conservar","{MODULE}: Certificate module name":"{MODULO}: nombre del módulo de certificado","{NUM_UNITS}: Number of units in the module":"{NUM_UNIDADES}: Número de unidades en el módulo",});
        gettextCatalog.setStrings('pt_br', {"Configure template for certificates": "Configurar modelo de certificados", "Configure template for receipts": "Configurar modelo de recibos", "Save": "Salvar", "Edit": "Editar", "View": "Ver", "Help": "Ajuda", "Configure Certificate": "Configurar Certificado", "Configure Receipt": "Configurar Recibo", "Certificate": "Certificado", "Receipt": "Recibo", "Course Conclusion": "Conclusão do Curso", "Person Name": "Nome da pessoa", "Cancel": "Cancelar", "Course Conclusion": "Conclusão de curso",
        "Never forget to Save any changes you make. Before saving it is possible and recommended to preview the changes made.":"Nunca olvide guardar los cambios que realice. Antes de guardar, es posible y recomendable obtener una vista previa de los cambios realizados.","To delete an image from the template, just double-click it":"Para excluir uma imagem do template, basta que dê dois cliques na mesma",
        "To edit the template text, use the editor below and its features. In the text, you can place the following indicators, which will be replaced according to the description:":"Para editar el texto de la plantilla, use el editor a continuación y sus características. En el texto, puede colocar los siguientes indicadores, que serán reemplazados según la descripción:","{CONTRACT}: Contract name":"{CONTRATO}: Nome do contrato",
        "When you click cancel, you will be returned to the certificate listing page. Always remember to Save any changes you have made and want to keep":"Ao clicar em cancelar, você voltará para a página de listagem de certificados. Lembre-se sempre de Salvar qualquer alteração que tenha feito e queira manter","{MODULE}: Certificate module name":"{MODULO}: Nome do módulo do certificado","{NUM_UNITS}: Number of units in the module":"{NUM_UNIDADES}: Número de unidades do módulo",});
    }]);

})(angular);
