(function() {
    'use strict';

    angular
        .module('cityParticipationReport')
        .component('cityParticipationReport', {
            templateUrl: '/city-participation-report.template.html',
            controller: CityParticipationReportCtrl,
            bindings: {
                date: '<',
                nte: '<',
                openned: '<',
            },
        });

    CityParticipationReportCtrl.$inject = ['$scope', 'NteMunicipiosReport'];

    function CityParticipationReportCtrl ($scope, NteMunicipiosReport) {

        var ctrl = this;

        ctrl.minimized = true;
        ctrl.cities_report = [];

        ctrl.$onChanges = function() {
            if (ctrl.openned === ctrl.nte.id ) {
                ctrl.minimized = true;
                toggleDetails();
            }

            if (ctrl.openned === 0) {
                ctrl.minimized = true;
            }
        };

        ctrl.$onInit = function() {
        };

        ctrl.toggleDetails = toggleDetails;

        function toggleDetails() {
            if (ctrl.cities_report.length === 0) {
                NteMunicipiosReport.get({ nte: ctrl.nte.id }, (data) => {
                    ctrl.cities_report = data;
                });
            }
            ctrl.minimized = !ctrl.minimized;
        }
    }
})();
