from django.conf import settings
from django.urls import reverse_lazy
from braces.views._access import AccessMixin
from django.shortcuts import redirect


class AcceptedTermsRequiredMixin(AccessMixin):
    """Verify that the current user has accepted Terms of Service."""
    def dispatch(self, request, *args, **kwargs):
        if not self.request.user.accepted_terms and settings.TERMS_ACCEPTANCE_REQUIRED:
            return redirect(reverse_lazy('accept_terms'))
        return super(AcceptedTermsRequiredMixin, self).dispatch(request, *args, **kwargs)
